Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
PATCH /mira
PATCH
/api/v1/mira
const url = 'https://api.pitch2sale.com/api/v1/mira';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"company_name":"example","business_summary":"example","allowed_origins":["example"],"booking_page_id":"example","privacy_url":"https://example.com","handoff_email":"hello@example.com","disclosure_mode":"always","ai_notice_text":"example","show_badge":true,"settings":{"agent_name":"example","tone":"warm","additional_instructions":"example","greeting_en":"example","greeting_hi":"example","disclosure":"example","button_label":"example","hero_hint":"example","busy_message":"example","voice_en":"Zephyr","voice_hi":"Zephyr","placement_mode":"home_hero","include_paths":["example"],"exclude_paths":["example"],"timezone":"example","business_hours":{"days":[1],"start":"example","end":"example"},"off_hours_action":"callback","transcript_retention_days":1,"no_lead_retention_days":1,"chat_enabled":true,"chat_include_paths":["example"],"chat_exclude_paths":["example"],"chat_launcher_label":"example","chat_greeting":"example","chat_suggestions":["example"],"launcher_disclosure":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.pitch2sale.com/api/v1/mira \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "company_name": "example", "business_summary": "example", "allowed_origins": [ "example" ], "booking_page_id": "example", "privacy_url": "https://example.com", "handoff_email": "hello@example.com", "disclosure_mode": "always", "ai_notice_text": "example", "show_badge": true, "settings": { "agent_name": "example", "tone": "warm", "additional_instructions": "example", "greeting_en": "example", "greeting_hi": "example", "disclosure": "example", "button_label": "example", "hero_hint": "example", "busy_message": "example", "voice_en": "Zephyr", "voice_hi": "Zephyr", "placement_mode": "home_hero", "include_paths": [ "example" ], "exclude_paths": [ "example" ], "timezone": "example", "business_hours": { "days": [ 1 ], "start": "example", "end": "example" }, "off_hours_action": "callback", "transcript_retention_days": 1, "no_lead_retention_days": 1, "chat_enabled": true, "chat_include_paths": [ "example" ], "chat_exclude_paths": [ "example" ], "chat_launcher_label": "example", "chat_greeting": "example", "chat_suggestions": [ "example" ], "launcher_disclosure": "example" } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
company_name
string
business_summary
string
allowed_origins
Array<string>
disclosure_mode
string
ai_notice_text
show_badge
boolean
settings
object
agent_name
string
tone
string
additional_instructions
string
greeting_en
string
greeting_hi
string
disclosure
string
button_label
string
hero_hint
string
busy_message
string
voice_en
string
voice_hi
string
placement_mode
string
include_paths
Array<string>
exclude_paths
Array<string>
timezone
string
business_hours
object
days
required
Array<integer>
start
required
string
end
required
string
off_hours_action
string
transcript_retention_days
integer
no_lead_retention_days
integer
chat_enabled
boolean
chat_include_paths
Array<string>
chat_exclude_paths
Array<string>
chat_launcher_label
string
chat_greeting
string
chat_suggestions
Array<string>
launcher_disclosure
string
Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Feature not available on the organization plan
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing; OAuth app tokens are not accepted on this route
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}